#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include "update_tree.h"

int main(int argc, char** argv) {
   char* cmdname = *argv++; --argc;
   if (argc != 2) {
      fprintf(stderr, "Usage: %s source_dir target_dir\n", cmdname);
      exit(1);
   }
   int source_dir_fd = open(argv[0], O_RDONLY);
   if (source_dir_fd < 0) {
      perror(argv[0]);
   }
   int target_dir_fd = open(argv[1], O_RDONLY);
   if (target_dir_fd < 0) {
      perror(argv[1]);
   }
   if (update_tree(source_dir_fd, target_dir_fd)) {
      exit(0);
   } else {
      fprintf(stderr, "%s: update failed\n", cmdname);
      exit(1);
   }
}
